Package ru.bitel.bgbilling.kernel.contract.api.server.bean

# Class ContractUtils

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractUtils

public class ContractUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `checkPassword(ParameterMap setup, String pswd1, String pswd2)`
  `static String`
  `getCustomerAddress(Connection connection, int moduleId, int contractId)`
  `static String`
  `getPaymentEmail(Connection connection, int moduleId, int contractId)`
  `static String`
  `getPaymentPhone(Connection connection, int moduleId, int contractId)`
  `static String`
  `getX(Connection connection, int moduleId, int contractId, String key)`
  `static String`
  `saveCustomerAddress(Connection connection, int moduleId, int contractId, String customerAddress)`
  `static String`
  `saveCustomerEmail(Connection connection, int moduleId, int contractId, String customerEmail)`
  `static String`
  `savePaymentEmail(Connection connection, int moduleId, int contractId, String paymentEmail)`
  `static String`
  `savePaymentPhone(Connection connection, int moduleId, int contractId, String paymentPhone)`
  сохраняет "payment.phone" для модуля/договора и возвращает его же обратно
  `static String`
  `saveX(Connection connection, int moduleId, int contractId, String key, String value)`
  Сохраняет значение в ContractModuleConfigDao.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractUtils

    public ContractUtils()

- ## Method Details

  - ### getCustomerAddress

    public static String getCustomerAddress(Connection connection, int moduleId, int contractId) throws Exception
    Throws:
      `Exception`

  - ### checkPassword

    public static String checkPassword(ParameterMap setup, String pswd1, String pswd2)

  - ### saveCustomerAddress

    public static String saveCustomerAddress(Connection connection, int moduleId, int contractId, String customerAddress) throws Exception
    Throws:
      `Exception`

  - ### saveCustomerEmail

    public static String saveCustomerEmail(Connection connection, int moduleId, int contractId, String customerEmail) throws Exception
    Throws:
      `Exception`

  - ### savePaymentEmail

    public static String savePaymentEmail(Connection connection, int moduleId, int contractId, String paymentEmail) throws Exception
    Throws:
      `Exception`

  - ### savePaymentPhone

    public static String savePaymentPhone(Connection connection, int moduleId, int contractId, String paymentPhone) throws Exception
    сохраняет "payment.phone" для модуля/договора и возвращает его же обратно
    Throws:
      `Exception`

  - ### saveX

    public static String saveX(Connection connection, int moduleId, int contractId, String key, String value) throws Exception
    Сохраняет значение в ContractModuleConfigDao. Если null то удаляет. Возвращает само значение в неизменном виде
    Throws:
      `Exception`

  - ### getPaymentEmail

    public static String getPaymentEmail(Connection connection, int moduleId, int contractId) throws Exception
    Throws:
      `Exception`

  - ### getPaymentPhone

    public static String getPaymentPhone(Connection connection, int moduleId, int contractId) throws Exception
    Throws:
      `Exception`

  - ### getX

    public static String getX(Connection connection, int moduleId, int contractId, String key) throws Exception
    Throws:
      `Exception`